{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:false,
          sfs:[{field:'totalSum',label:'付款总金额'}],
        }
    },
    mounted:function(){

    },
    created:function(){
    },
    methods:{
      btnvisbleMethod(row,btn){
        if(!row.sourceOrderNo || row.sourceOrderNo==""){
          if(btn.key=="linkquery"){
            return false;
          }
          else{
            return true;
          }
        }
        return true;
      },
      onlinkquery(row){
         this.pushx({
           title:"订单详情",
           name:"/tmOrderDetail",
           params:{
            orderNum:row.sourceOrderNo,
           }
         });
      },
       onColFormater(row,column,cellvalue,index){
         if(column.property=="created_at"){
           var date = new Date(row["created_at"]);
           var time= date.toLocaleDateString();
           return time;
         }
         if(column.property=="updated_at"){
           var date = new Date(row["updated_at"]);
           var time= date.toLocaleDateString();
           return time;
         }
         return cellvalue;
       },
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(val);
       },
       onRowClick(row,key,e){
           if(key=="stopUser"){

           }
         },

    },
    computed: Vuex.mapState({
      count:state=>state.count,
      headStyle:function(){
        return {"background-color":"white"};
      }
    }),
    vname:"gsb_expensevoucher"
}
